| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::optflow::GPCTrainingSamples Class Reference
Optical Flow Algorithms

Class encapsulating training samples. More...

`#include "sparse_matching_gpc.hpp"`

## Public Member Functions
| operator GPCSamplesVector & ()
size_t | size () const
int | type () const

## Static Public Member Functions
static Ptr< GPCTrainingSamples > | create (const std::vector< String > &imagesFrom, const std::vector< String > &imagesTo, const std::vector< String > &gt, int descriptorType)
| This function can be used to extract samples from a pair of images and a ground truth flow. Sizes of all the provided vectors must be equal. More...
static Ptr< GPCTrainingSamples > | create (InputArrayOfArrays imagesFrom, InputArrayOfArrays imagesTo, InputArrayOfArrays gt, int descriptorType)

## Detailed Description

Class encapsulating training samples.

## Member Function Documentation

## § create() [1/2]

static Ptr< GPCTrainingSamples > cv::optflow::GPCTrainingSamples::create | ( | const std::vector< String > & | imagesFrom,
|  | const std::vector< String > & | imagesTo,
|  | const std::vector< String > & | gt,
|  | int | descriptorType
| ) |  |
| static

This function can be used to extract samples from a pair of images and a ground truth flow. Sizes of all the provided vectors must be equal.

## § create() [2/2]

static Ptr< GPCTrainingSamples > cv::optflow::GPCTrainingSamples::create | ( | InputArrayOfArrays | imagesFrom,
|  | InputArrayOfArrays | imagesTo,
|  | InputArrayOfArrays | gt,
|  | int | descriptorType
| ) |  |
| static

## § operator GPCSamplesVector &()

cv::optflow::GPCTrainingSamples::operator GPCSamplesVector & | ( |  | ) |
| inline

## § size()

size_t cv::optflow::GPCTrainingSamples::size | ( |  | ) | const
| inline

## § type()

int cv::optflow::GPCTrainingSamples::type | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/optflow/include/opencv2/optflow/sparse_matching_gpc.hpp